%global momorel 1

Summary: Meta package for KDE.
Name: KDE
Version: 3.5.4
Release: %{momorel}m
License: LGPL
# same as kdelibs
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-root

################################################

## these are necessary and should be install in this order
Requires: qt
Requires: arts
Requires: arts-artsc
Requires: kdelibs

## minimal functionality
Requires: kdebase

## maybe necessary for Japanese Users
Requires: kde-i18n-Japanese

## basic functionality and applications
Requires: kdegraphics
Requires: kdeartwork
Requires: kdenetwork
Requires: kdemultimedia
Requires: kdeadmin
Requires: kdepim
Requires: kdeutils
Requires: kdeaddons

## additional functionality and applications
Requires: qt-styles
Requires: kdeedu
Requires: kdegames
Requires: kdetoys
Requires: kdeaccessibility

## packages for developement
Requires: PyQt
Requires: qt-designer
Requires: kdebindings
Requires: kdesdk
Requires: kdbg
Requires: kdevelop
Requires: kdewebdev
Requires: qtruby
Requires: sip

## some packages not distributed by kde.org
# hosted at extragear.kde.org
Requires: amarok
# Requires: amarok-gstreamer
%ifnarch ia64 x86_64
Requires: amarok-helix
%endif
Requires: amarok-libvisual
Requires: amarok-xine
Requires: amarok-xmms
Requires: digikam
Requires: digikamimageplugins
Requires: gwenview
Requires: k3b
Requires: kaffeine
Requires: kcpuload
Requires: kerry
Requires: kfish
Requires: kipi-plugins
Requires: yakuake

## independent
Requires: kannadic
Requires: kasablanca
Requires: kita
Requires: kompose
Requires: kreetingkard
Requires: krename
Requires: libakode
Requires: pykompiz
Requires: qtparted
Requires: rosegarden
Requires: scribus

## for amarok and kaffeine
Requires: xine-lib
Requires: xine-lib-alsa
Requires: xine-lib-arts
Requires: xine-lib-esd
Requires: xine-lib-flac
Requires: xine-lib-oggvorbis
Requires: xine-lib-oss
Requires: xine-lib-xv
%ifarch %{ix86}
Requires: xine-lib-w32dll
%endif

## koffice
Requires: koffice-core
Requires: koffice-filters
Requires: koffice-karbon
Requires: koffice-kchart
Requires: koffice-kexi
Requires: koffice-kformula
Requires: koffice-kivio
Requires: koffice-kplato
Requires: koffice-kpresenter
Requires: koffice-krita
Requires: koffice-kspread
Requires: koffice-kugar
Requires: koffice-kword
Requires: koffice-suite

## I am Japanese...
Requires: koffice-l10n-Japanese

## for input method
Requires: skim
Requires: skim-honoka
Requires: skim-scim-anthy
Requires: skim-scim-canna
Requires: skim-scim-prime
Requires: skim-scim-skk
Requires: scim-qtimm
Requires: uim-qt
Requires: uim-qtimmodule

## for kdebase (sylpheed.desktop is on kicker... I need it!)
Requires: sylpheed

## In present settings, Bluecurve is just one optional theme for KDE,
## so it is not necessary
# kmenu needs icons of redhat-artwork
Requires: redhat-artwork

################################################

# Requires: xorg-x11
# Requires: sdr
Requires: xorg-x11-xinit-base

%description
This is meta package for KDE.

################################################

%package devel
Summary: Meta package for KDE development.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

################################################

Requires: qt-devel
Requires: arts-devel
Requires: arts-artsc-devel
Requires: kdelibs-devel
Requires: libakode-devel
Requires: libkexif-devel
Requires: libkipi-devel
Requires: kdebindings-devel
Requires: kdesdk-devel
Requires: koffice-devel
Requires: scribus-devel

%description devel
This is meta package for KDE development.

%files

%files devel

%changelog
* Wed Aug  2 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.4-1m)
- update to KDE 3.5.4

* Sun Jul 30 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-7m)
- add Requires: kasablanca

* Mon Jul  3 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-6m)
- remove Requires: amarok-gstreamer

* Fri Jun 30 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-5m)
- add Requires: pykompiz

* Tue Jun 27 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-4m)
- add Requires: yakuake 

* Mon Jun 19 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-3m)
- add Requires: amarok-gstreamer again

* Thu Jun  1 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-2m)
- revise Requires for ia64 and x86_64
- remove BuildArchitectures: noarch

* Thu Jun  1 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-1m)
- version update to 3.5.3
- add Requires: kerry
- add Requires: scribus-devel

* Thu May 18 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.2-5m)
- remove Requires: amarok-gstreamer (not yet stable)

* Wed May 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.2-4m)
- add Requires: qtparted
- add Requires: scribus

* Sun Apr 30 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.5.2-3m)
- change xinitrc -> xorg-x11-xinit

* Fri Apr 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.2-2m)
- add Requires: sylpheed
 - sylpheed is required by kickerrc of kdebase
 - gtk+ is required even if it does not demand sylpheed

* Tue Apr  4 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.2-1m)
- version update to 3.5.2
- add amarok-gstreamer again (gstreamer010, welcome)

* Mon Mar 27 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.1-5m)
- add Requires: libakode, libakode-devel

* Fri Mar 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.1-4m)
- modify for koffice-1.5-beta2

* Mon Mar  6 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.1-3m)
- remove Requires: amarok-gstreamer (wait for GStreamer-0.10)

* Wed Mar  1 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.1-2m)
- add Requires: krename

* Sun Feb  5 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.1-1m)
- version update to 3.5.1
- add Requires: skim-honoka
- add Requires: skim-scim-anthy
- add Requires: skim-scim-canna
- add Requires: skim-scim-prime
- add Requires: skim-scim-skk

* Fri Oct  7 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-2m)
- add a package KDE-devel

* Fri Sep 30 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-1m)
- version update to 3.4.2
- add Requires: amarok-helix
- add Requires: digikam
- add Requires: digikamimageplugins
- add Requires: kipi-plugins
- add Requires: redhat-artwork
- Requires: koffice-i18n-Japanese -> koffice-l10n-Japanese
- Requires: uim-kdehelper -> uim-qt
- Requires: uim-qt -> uim-qtimmodule

* Wed Mar  2 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.2-2m)
- add Requires: amarok-libvisual
- add Requires: kannadic
- add Requires: kompose
- add Requires: kreetingkard
- add Requires: rosegarden
- add Requires: xine-lib
- add Requires: xine-lib-alsa
- add Requires: xine-lib-arts
- add Requires: xine-lib-esd
- add Requires: xine-lib-flac
- add Requires: xine-lib-oggvorbis
- add Requires: xine-lib-oss
- add Requires: xine-lib-xv
- add Requires: xine-lib-w32dll
- add Requires: skim
- add Requires: scim-qtimm
- add Requires: uim-qt
- add Requires: uim-kdehelper

* Sun Jan  9 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.2-1m)
- version update to 3.3.2
- add Requires: PyQt
- add Requires: amarok
- add Requires: k3b
- add Requires: kita
- add Requires: qtruby
- add Requires: sip
- Requires: quanta -> kdewebdev

* Sat May 15 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.2-2m)
- revise for only require packages from kde.org and extragear.kde.org (kaffeine is also included)

* Tue May 11 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.2.2-1m)
- version update to 3.2.2
